import { Controller } from "@hotwired/stimulus"

export default class extends Controller {
  //static targets = ["img"]


  connect() {    
    
    if (this.element.complete && this.element.naturalHeight !== 0) {
      this.element.classList.add('loaded')
    } else {        
      this.element.addEventListener('load', function() {
        this.classList.add('loaded')
      })
    }
    
  }
  
  disconnect() {    
  }

  
}